<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title></title>
		<style>
        .tab
        {
            width: 800px;
        }
        .t-title
        {
            height: 32px;
            border-bottom: 1px solid #c00;
        }
        .t-title span
        {
            float: left;
            width: 130px;
            text-align:center;
            line-height: 32px;
            font-size: 14px;

        }
        .tc
        {
            border:1px solid #c00;
            border-top: none;
            height: 300px;
            font-size: 100px;
            text-align: center;
            line-height: 300px;
            display: none;
        }
        .show
        {
            display: block;
        }
        .t-title .cur
        {
            border-left: 1px solid #c00;
            border-right: 1px solid #c00;
            border-top: 1px solid #c00;
            margin-bottom: -1px;
            background-color: #fff;
            color: #c00;
        }

    </style>
</head>
<body>
<div class="tab">
    <div class="t-title">
        <span class="cur">国内新闻</span>
        <span>国外新闻</span>
        <span>视频</span>
        <span>视频</span>
        <span>视频</span>
        <span>视频</span>
    </div>
    <div class="tc show">1</div>
    <div class="tc">2</div>
    <div class="tc">3</div>
    <div class="tc">4</div>
    <div class="tc">5</div>
    <div class="tc">6</div>
</div>
<script>
    var tab=document.querySelector(".tab");
    var tt=tab.querySelector(".t-title");
    var span=tt.getElementsByTagName("span");
    var tc=tab.getElementsByClassName("tc");

    for(i=0;i<span.length;i++)
    {
        span[i].onmouseover=function () {
            for(j=0;j<tc.length;j++){
                tc[j].style.display="none"
                span[j].index=j;
                span[j].className="";

            }
            tc[this.index].style.display="block"
            this.className="cur";

        }
    }
</script>
	
	</body>
</html>
